textures/base_light/patch10_pj_lite
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/patch10_pj_lite.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_turnpike/tub_pewter_new
{
	qer_editorimage textures/ut_turnpike/tub_pewter_new.tga
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/ut_turnpike/tub_pewter_new.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/ut4_museo/monitorfail
{
	qer_editorimage textures/ut4_museo/monitor.tga
	q3map_surfacelight 1400
	{
		map textures/ut4_museo/green.jpg
		rgbgen identity
	}
	{
		map textures/ut4_museo/monitor2.tga
		tcmod rotate 180
		blendfunc filter
	}
	{
		map textures/ut4_museo/monitor2.tga
		tcmod scroll -4 -4
		blendfunc add
	}
	{
		map textures/ut4_museo/monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/ut4_museo/telecamera
{
	qer_editorimage textures/ut4_museo/monitor.tga
	q3map_lightimage textures/ut4_museo/green.jpg
	q3map_surfacelight 1200
	portal
	surfaceparm nolightmap
	{
		map textures/ut4_museo/green.jpg
		blendFunc filter
		depthWrite
	}
	{
		map textures/ut4_museo/green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting
	}
	{
		map textures/ut4_museo/monitor.tga
		blendfunc blend
	}
}

textures/ut_turnpike/turnpike_fluro
{
	qer_editorimage textures/ut_turnpike/turnpike_fluro.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 8000
	{
		map textures/ut_turnpike/turnpike_fluro.tga
		rgbGen identity
	}
}

textures/ut_turnpike/will_window_shiny2
{
	{
		map textures/ut_turnpike/will_window_shiny2.tga
	}
	{
		map textures/effects/tp_int_fx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_turnpike/will_window_shiny2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/bbqplant/ivy01
{
	qer_editor_image textures/bbqplant/ivy01.tga
	surfaceparm nomarks
	cull disable
	{
		map textures/bbqplant/ivy01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_museo/targa
{
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm metal
	qer_editorimage textures/ut4_museo/targa.jpg
	{
		map textures/ut4_museo/riflesso.tga
		tcGen environment
	}
	{
		map textures/ut4_museo/targa.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mikec/splat7
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat7.tga
	{
		map textures/mikec/splat7.tga
		blendfunc filter
	}
}

textures/base_light/light1_3000
{
	qer_editorimage textures/base_light/light1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mikec/splat_black1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black1.tga
	{
		map textures/mikec/splat_black1.tga
		blendfunc filter
	}
}

textures/mikec/splat6
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat6.tga
	{
		map textures/mikec/splat6.tga
		blendfunc filter
	}
}

textures/mikec/skid2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/skid2.tga
	{
		map textures/mikec/skid2.tga
		blendfunc filter
	}
}

textures/mikec/splat_die
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_die.tga
	{
		map textures/mikec/splat_die.tga
		blendfunc filter
	}
}

textures/mikec/splat_black4
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black4.tga
	{
		map textures/mikec/splat_black4.tga
		blendfunc filter
	}
}

textures/mikec/splat_black2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black2.tga
	{
		map textures/mikec/splat_black2.tga
		blendfunc filter
	}
}

textures/mikec/splat_manhole1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_manhole1.tga
	{
		map textures/mikec/splat_manhole1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/mikec/skid1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/skid1.tga
	{
		map textures/mikec/skid1.tga
		blendfunc filter
	}
}

textures/ut_turnpike/tub_stainless_steel
{
	qer_editorimage textures/ut_turnpike/tub_stainless_steel.tga
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/ut_turnpike/tub_stainless_steel.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/effects/tp_ele_fx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/ut_turnpike/tub_stainless_steel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/water/water_flow
{
	qer_editorimage textures/water/water_flow.tga
	q3map_cheapwater 5 0.85 0.8 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	{
		map textures/water/water_flow.tga
		blendfunc blend
		tcMod turb 0 0.05 0 0.05
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/urban_terror2/fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/urban_terror2/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_turnpike/glass_clear
{
	qer_editorimage textures/effects/tp_win_fx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/effects/tp_win_fx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urbanq3_misc2/fan3bladeb
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	sort 5
	{
		clampmap textures/urbanq3_misc2/fan3bladeb.tga
		blendFunc blend
		tcmod rotate 999
		rgbGen identity
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/codey1/steelpipe02_nonsolid
{
	surfaceparm nonsolid
	surfaceparm trans
	qer_editorimage textures/codey1/steelpipe04.tga
	{
		map textures/codey1/steelpipe04.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/cow7/fs_gate2
{
	qer_editorimage textures/cow7/fs_gate2.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/cow7/fs_gate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/liquids/clear_ripple3
{
	qer_editorimage textures/liquids/clear_ripple3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/mikec/water_ripple
{
	qer_editorimage textures/mikec/water_pool2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	{
		map textures/mikec/water_pool1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/mikec/water_pool2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/mikec/water_pool3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/wetwired/fs_rain2
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/wetwired/fs_rain2.tga
		tcMod Scroll .5 4
		blendFunc GL_ONE GL_ONE
	}
}

textures/sinni/fish1
{
	qer_editorimage textures/sinni/fish01.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2
	{
		map textures/sinni/fish01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sinni/fish4
{
	qer_editorimage textures/sinni/fish04.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2
	{
		map textures/sinni/fish04.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sinni/fish2
{
	qer_editorimage textures/sinni/fish02.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2
	{
		map textures/sinni/fish02.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/liquids/calm_poollight
{
	qer_editorimage textures/liquids/pool3d_5b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	tesssize 64
	deformVertexes wave 100 sin 1 1 1 .1
	{
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125
		rgbgen identity
	}
}

textures/mc-uptown/uptown-glass
{
	qer_editorimage textures/mc-uptown/uptownglass.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/mc-uptown/uptownglass.tga
		tcGen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}
}

textures/wetwired/ww-fence01
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/wetwired/ww-fence01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_prague/fs_rain2
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/fs_rain2.tga
		tcMod Scroll .3 2
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/defcon_tree/tree
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadows
	{
		map models/mapobjects/defcon_tree/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/green_1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/br_flowers/yellowrose
{
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/yellowrose.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

models/mapobjects/br_halfbarrels/br_pinkflowers
{
	qer_editorimage models/mapobjects/br_halfbarrels/br_pinkflowers.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_halfbarrels/br_pinkflowers.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

models/mapobjects/br_halfbarrels/br_plant1
{
	qer_editorimage models/mapobjects/br_halfbarrels/br_plant1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_halfbarrels/br_plant1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}